ISFINITE(3)

NAME
isfinite - test for finite value

LIBRARY
libc

SYNOPSIS
#include <math.h>
int
isfinite(real-floating x);

DESCRIPTION
The isfinite() determines whether its argument x has a finite value. An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

  IEEE 754
It is determined whether the value of x is zero, subnormal, or normal, and neither infinite nor NaN.

  VAX
It is determined whether the value of x is true zero or finite, and neither dirty zero nor ROP.

RETURN VALUES
The isfinite() macro returns a non-zero value if the value of x is finite. Otherwise 0 is returned.

ERRORS
No errors are defined.

SEE ALSO
finite(3), fpclassify(3), isnormal(3), math(3), signbit(3)

STANDARDS
The isfinite() macro conforms to isoC-99.